<?php




define('FPDF_FONTPATH','font/');
require_once ('fpdf.php') ; 
include("comunesfactura1.php");
include ("../conectar.php");
include ("../funciones/fechas.php"); 

//include ("Numbers/Words.php");

$pdf=new PDF();
$pdf->Open();
$pdf->AddPage();

$pdf->Ln();    
$pdf->Header('../logo/Factura_Original.jpg',0,0,0,0);


$parametros = "Select * from  web_0000";
$datos = mysql_query($parametros);
$codfactura=$_GET["codfactura"];

   $query_factura_contado="SELECT * FROM facturas WHERE codfactura='$codfactura'";

   $rs_query_factura_contado=mysql_query($query_factura_contado);

   $cdgcli= mysql_result($rs_query_factura_contado,0,"cdgcli");
   $cdgtipven= mysql_result($rs_query_factura_contado,0,"cdgtipven");
    $cdgven= mysql_result($rs_query_factura_contado,0,"cdgven");


   $query_vendedor="SELECT * FROM usuarios WHERE codusu=$cdgven";
   $rs_query_vendedor=mysql_query($query_vendedor);
   $dscven= mysql_result($rs_query_vendedor,0,"usu");

 if ($cdgtipven ==2 ) {

     $faccre = "CREDITO";
	 $faccon = "";
	 $facval= "ORIGINAL";
 
	 
	} else {
	
	 $faccre = "";
	 $faccon = "CONTADO";
	 $facval= "ORIGINAL";
	

	}
	
  	 if ($cdgcli == 9999) {

 $consulta = "Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= $cdgcli";
 $resultado = mysql_query($consulta);
 $lafila=mysql_fetch_array($resultado);
 
 $fecha =mysql_result($resultado,0,"fecha");
 $dsccli= mysql_result($rs_query_factura_contado,0,"dsccli");
 $cedcli="";
 $numfactura =mysql_result($resultado,0,"numfactura");

		} else {

 $consulta = "Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= web_0301.cdgcli";
 $resultado = mysql_query($consulta);
 $lafila=mysql_fetch_array($resultado);
 $dsccli=mysql_result($resultado,0,"dsccli");
 $cedcli=mysql_result($resultado,0,"cedcli");
 $dircli=mysql_result($resultado,0,"dircli");
 $numtel=mysql_result($resultado,0,"numtel");
 $fecha =mysql_result($resultado,0,"fecha");
 $numfactura =mysql_result($resultado,0,"numfactura");
 $fechavencimiento =mysql_result($resultado,0,"fechavencimiento");

      }  

  $fecha= implode("-", array_reverse(explode("-", $fecha))); 
  $fechavencimiento= implode("-", array_reverse(explode("-", $fechavencimiento))); 



	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
	
    $pdf->SetFont('Arial','B',13);	
	$pdf->SetY(36);	
	$pdf->Ln(4);
	$pdf->Cell(80);
	$pdf->Cell(30,4,"FACTURA N. ".$numfactura,0,0,'L',0);

    $pdf->SetFont('Arial','B',11);	

	 if ($cdgtipven ==1 ) {
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);
	
		} else {
		
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);	
	$pdf->SetY(11);	
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Vence:  ".$fechavencimiento,0,0,'L',0);	

	}
	
    $pdf->SetFont('Arial','B',14);	
	$pdf->SetY(23);
	$pdf->Ln(0);
	$pdf->Cell(165);
    $pdf->Cell(20,6,$facval,0,0,'L',0);
		

	//emcabezado y datos de la empresa

	
	$pdf->SetFont('Arial','B',20);
    $pdf->SetY(20);	
	$pdf->Ln(-15);
	$pdf->Cell(-5);
    $pdf->Cell(1,1,mysql_result($datos,0,"nomcom"),0,0,'L',0);
	
	 
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(5);	
	$pdf->Ln(5);
	$pdf->Cell(-5);
    $pdf->Cell(10,4,mysql_result($datos,0,"razsoc"),0,0,'L',0);

	
	$pdf->SetFont('Arial','B',9);	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',9);
	
	$cedula=mysql_result($datos,0,"cedjur");
	$telefono=mysql_result($datos,0,"numtel");
	$cedula_con= "Cédula: ". $cedula. "  Télefono: ".$telefono ;
	
	$pdf->SetY(1);
	$pdf->Ln(13);
	$pdf->Cell(-5);
	$pdf->Cell(70,4,$cedula_con,0,0,'C',0);

   $diremp = mysql_result($datos,0,"diremp");

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(17);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$diremp,0,0,'L',0);
	
	$pdf->SetFont('Arial','B',8);
	$pdf->SetY(20);
	$pdf->Ln(6);
	$pdf->Cell(75);
	$pdf->Cell(20,4,$diremp2,0,0,'L',0);


	// datos del cliente

	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);


    $pdf->SetFont('Arial','B',10);		
	$pdf->SetY(39);
	$pdf->Ln(13);
	$pdf->Cell(1);
    $pdf->Cell(100,6,"Cliente:  " .$cdgcli." - ".$dsccli,0,0,'L',0);


	$pdf->SetY(46);
	$pdf->Ln(10);
	$pdf->Cell(1);
    $pdf->Cell(35,8,"Cédula:  ".$cedcli ,0,0,'L',0);  


	$pdf->SetY(46);
	$pdf->Ln(10);
	$pdf->Cell(60);
    $pdf->Cell(35,8,"Télefono:  ".$numtel,0,0,'L',0);	
	$pdf->SetY(46);
	$pdf->Ln(10);
	$pdf->Cell(115);
    $pdf->Cell(35,8,"Vendedor:  ".$dscven,0,0,'L',0);

	$pdf->SetY(50);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,"Dirección:  ".$dircli,0,0,'L',0);  

	$pdf->SetY(53);
	$pdf->Ln(5);
	$pdf->Cell(162);
	$pdf->Cell(80,10,"Plazo ".mysql_result($resultado,0,"pladia")." Días",0,0,'L',0); 	
 
 	$pdf->SetFont('Arial','B',13);
	$pdf->SetY(49);
	$pdf->Ln(3);
	$pdf->Cell(162);
	$pdf->Cell(80,10,$faccon,0,0,'L',0); 
	
	$pdf->SetY(49);
	$pdf->Ln(3);
	$pdf->Cell(163);
	$pdf->Cell(80,10,$faccre,0,0,'L',0); 
	

   $pdf->SetFont('Arial','B',10);
			

    //ahora mostramos las lneas de la factura


	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.1);
    $pdf->SetFont('Arial','B',10);	


	$pdf->SetY(83);			
	$consulta2 = "Select * from factulinea where codfactura='$codfactura' order by numlinea";
    $resultado2 = mysql_query($consulta2, $conexion);

	$contador=1;
	while ($row=mysql_fetch_array($resultado2))

	{

	  $pdf->Cell(1);
	  $contador++;
	  $cdgbar=mysql_result($resultado2,$lineas,"codigo");

	$consulta_sugerido = "Select cdgbar, utisug from web_1001 where cdgbar='$cdgbar' ";
    $resultado_sugerido = mysql_query($consulta_sugerido, $conexion);
	$utisug= mysql_result($resultado_sugerido,0,"utisug");
	
						/////////  calulo del precio sugerido /////////

	$cantidad= mysql_result($resultado2,$lineas,"cantidad");
	$mondes= mysql_result($resultado2,$lineas,"mondes");
	$preivi= mysql_result($resultado2,$lineas,"preivi")/$cantidad;
	$presug=$preivi*(($utisug/100)+1);
	$presug=round($presug);
	/////  redondeo ///
	
	$ultimo_valor=substr($presug,-1);	  // sustraigo el utimo digito del precio 
		if ($ultimo_valor == 0) {              // redondeo a la decima mas cercana

		} else if ($ultimo_valor  ==  5){ 

		} else if ($ultimo_valor  >  5){ 
			$presug=round($presug,-1);
		
		}else { 
	   	$presug=round($presug,-1);
		$presug=$presug+5;
		}                                  //////////////////////////////////////////////

	  $cantidad1= number_format(mysql_result($resultado2,$lineas,"cantidad"),1,".",",");	  
	 
	  $pdf->Cell(4,0,$cantidad1,0,0,'L');
	  $pdf->Cell(7);
	  $codigo=mysql_result($resultado2,$lineas,"codigo");	  
	  $pdf->Cell(25,0,$codigo,0,0,'L');
	  

	  $sel_articulos="SELECT * FROM web_1001 WHERE cdgbar='$cdgbar' ";
	  $rs_articulos=mysql_query($sel_articulos);

    $pdf->SetFont('Arial','B',8);	
	  
		  if (mysql_result($resultado2,$lineas,"impuesto")==0.00) 
	  {  
	  $acotado = substr(mysql_result($resultado2,$lineas,"dscart")." * ", 0, 40);

	  $pdf->Cell(2);
	  $pdf->Cell(24,0,$acotado,0,0,'L');
		
		   }  else  { 

	  $acotado = substr(mysql_result($resultado2,$lineas,"dscart"), 0, 40);

	  $pdf->Cell(2);
	  $pdf->Cell(24,0,$acotado,0,0,'L');
 
	   }
    $pdf->SetFont('Arial','B',10);	
    $pdf->Cell(70);
    $pdf->Cell(1,0,number_format($presug,2,".",","),0,0,'R');

	  if (mysql_result($resultado2,$lineas,"dcto")==0)   {
		  
	  $pdf->Cell(5);	
	  $pdf->Cell(4,0,"",0,0,'C');

	   }  else  { 
	   
	  $pdf->Cell(5);
	  $pdf->Cell(4,0,mysql_result($resultado2,$lineas,"dcto") . " %",0,0,'C');

	   }

	  $pdf->Cell(21);

	 $precio2= mysql_result($resultado2,$lineas,"importe")/mysql_result($resultado2,$lineas,"cantidad");	  
     $precio2= number_format($precio2,2,".",",");	  

	 $pdf->Cell(1,0,$precio2,0,0,'R');
	 $importe2= number_format(mysql_result($resultado2,$lineas,"importe"),2,".",",");	  

	 $pdf->Cell(25,0,$importe2,0,0,'R');
     $pdf->Ln(5);	

	  $importe=$importe + mysql_result($resultado2,$lineas,"importe");
	  $impuesto=$impuesto + mysql_result($resultado2,$lineas,"impuesto");
	  $descuento=$descuento + mysql_result($resultado2,$lineas,"mondes");
	  $contador=$contador + 1;
	  $lineas=$lineas + 1;	
	};
	
		
	$pdf->SetFont('Arial','B',10);
    $pdf->SetY(235);	
	$pdf->Ln(0);
	$pdf->Cell(1);
    $pdf->Cell(1,1,mysql_result($datos,0,"menfac"),0,0,'L',0);
	
	$pdf->SetFont('Arial','B',12	);	
    $pdf->SetY(226);
	$pdf->Ln(0);
	$pdf->Cell(78);

    $pdf->SetFont('Arial','B',6);	
    $pdf->SetY(228);
	$pdf->Ln(0);
	$pdf->Cell(1);
    $pdf->Cell(100,6,"( * ) ARTICULO EXENTO",0,0,'L',0);	



	  //vamos acumulando el importe

    $pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	

	// Parametro global Cantidad de filas en el detalle

	while ($contador<$FilasDetalleFactura)

	{

	  $pdf->Cell(1);
      $pdf->Cell(25,4,"",0,0,'C');
      $pdf->Ln(5);	
	  $contador=$contador +1;

	}
	//Calculamos los valores del final de la factura
	//////// calcula subtotal 

	$importe4=number_format($importe,2,".",",");	      //  DECIMAL
	$ivai=$lafila["iva"];

	
	//////// Calcula impuesto 

	$impo=$impuesto;
	$total_impo=$total_impo+$impo;
	

 //  REDONDEO 
	$impo=number_format($total_impo,2,".",",");	            //  DECIMAL

    //////// calcula total
    $total=$importe+$total_impo-$descuento; 
	$total2=round($total);
  //  REDONDEO 
	$total2=  number_format($total2,2,".",",");	     //  DECIMAL

	$pdf->SetY(239);	
	$pdf->Cell(157);
    $pdf->Cell(32,5,$importe4,0,0,'R',0);
	
	$pdf->Ln(6);
	$pdf->SetY(243);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$descuento,0,0,'R',0);
	
	$pdf->Ln(6);
	$pdf->SetY(248);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$impo,0,0,'R',0);	
	
	$pdf->Ln(7);	
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY(253);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$total2,0,0,'R',0);

	$pdf->Ln(8);


	$pdf->SetY(148);
	$pdf->Cell(15);
	
	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.

	$decimales = explode(".",$total);	
		

      @mysql_free_result($resultado); 
      @mysql_free_result($query);
	  @mysql_free_result($resultado2); 
	  @mysql_free_result($query3);

	  
      $pdf->Output($name=("Factura.pdf"),'I');


?>